• 0

    posted a message on PitBull - official topic
    Any news regarding this error?

    [2007/09/02 12:25:20-80-x5]: PitBull-r47902\PitBull.lua:5997: assertion failed!
    PitBull-r47902\PitBull.lua:5997: in function `editBoxFunc'
    Dewdrop-2.0-46777 (FuBar):2377: in function <...erface\AddOns\FuBar\libs\Dewdrop-2.0\Dewdrop-2.0.lua:2363>
    
     ---


    It's still not letting me save Target's target and Target's target's target :(
    Posted in: Unit Frames
  • 0

    posted a message on PitBull - official topic
    When I tried to create a new text field in the focus frame (health), I got this error:

    [2007/08/29 22:36:25-33-x1]: PitBull-r46849\PitBull_MetaLayout.lua:1797: attempt to perform arithmetic on field 'size' (a nil value)
    
     ---


    Originally the two texts that were up were Name and Power. After the error for some reason Power was no longer there, but instead, the new text field I made (Health). After I tried editing the text that was there (custom text) I got another error:

    [2007/08/29 22:37:00-33-x1]: PitBull-r46849\PitBull_MetaLayout.lua:1797: attempt to perform arithmetic on field 'size' (a nil value)
    <in C code>: in function `FocusUnit'
    Interface\FrameXML\ChatFrame.lua:1535: in function `?':
    Interface\FrameXML\ChatFrame.lua:3364: in function `ChatEdit_ParseText':
    Interface\FrameXML\ChatFrame.lua:3098: in function `ChatEdit_SendText':
    Interface\FrameXML\ChatFrame.lua:3119: in function `ChatEdit_OnEnterPressed':
    <string>:"*:OnEnterPressed":1: in function <[string "*:OnEnterPressed"]:1>
    
     ---
    Posted in: Unit Frames
  • 0

    posted a message on Grid
    I'm not totally sure if this is related to Grid, but last night I installed the latest version and went into a battleground to set up the frames (AV), and this error came up

    [2007/08/29 02:20:48-25-x9]: attempt to call a nil value:
    
     ---


    And then a couple of minutes ago I went to another battleground (AB) and the same error came up:

    [2007/08/29 17:33:06-28-x9]: attempt to call a nil value:
    
     ---


    Both have happened while having Grid installed (and after installing it). But then the errors don't say much.
    Posted in: Grid & Grid2
  • 0

    posted a message on FuBar creating errors in PitBull?
    I'm getting this error when I try to do something in PitBull (save Target's Target and Target's Target's Target. Since it mentions FuBar I thought that I might as well ask here:

    [2007/08/26 22:52:05-2-x7]: PitBull-r46849\PitBull.lua:5997: assertion failed!
    PitBull-r46849\PitBull.lua:5997: in function `editBoxFunc'
    Dewdrop-2.0-46777 (FuBar):2377: in function <...erface\AddOns\FuBar\libs\Dewdrop-2.0\Dewdrop-2.0.lua:2363>
    
     ---
    Posted in: FuBar AddOns
  • 0

    posted a message on PitBull - official topic
    Quote from honem »

    Gahlok what version of Fubar are you running ?

    Not sure what that has to do with it but it's showing up in the error log you posted


    It would be r45986.
    Posted in: Unit Frames
  • 0

    posted a message on PitBull - official topic
    Quote from Seerah »

    Quote from Gahlok »

    Quote from Gahlok »

    I get this error whenever I try to save Target's Target and Target of Target's Target, by going to Frame > Others > Layout > Save Layout.



    Using r45121, will try to update right now just in case.


    Still having this issue :( It happens with Target's Target, after I get that error it doesn't let me save ToToT.

    Install BugGrabber/BugSack and copy-paste the entire error here.


    Ok Seerah, sorry for the delay. I finally installed the addons you requested, this is the error that shows up in that addon:

    [2007/08/26 22:52:05-2-x7]: PitBull-r46849\PitBull.lua:5997: assertion failed!
    PitBull-r46849\PitBull.lua:5997: in function `editBoxFunc'
    Dewdrop-2.0-46777 (FuBar):2377: in function <...erface\AddOns\FuBar\libs\Dewdrop-2.0\Dewdrop-2.0.lua:2363>
    
     ---


    This happens when I try to save Target's target. After the error shows up, Target's target's target doesn't even let me save the layout.

    Error still showing up in latest version, which would be r46849.
    Posted in: Unit Frames
  • 0

    posted a message on CastYeller - announces to your party/raid important spells you cast.
    Quote from motivez »
    Giving people the flexibility to pick which spells to enable is far superior to how it's set up now.


    I would agree with Adirelle here, who would want to announce in chat every spell the person casts anyway? I take CastYeller as an announce for important spells.

    So, lets say in a boss fight, with what you are planning, you would basically keep the whole thing spammed for the entire fight, making raid chat useless for important things. I can see how it would be:

    Casting Healing Touch failed. Out of range.
    Casting Healing Touch.
    Casting Rejuvenation.
    Casting Rejuvenation.
    Casting Rejuvenation.
    Casting Bash failed. Missed.


    -_-

    You might as well write your own addon, IMO Adirelle is doing an awesome job, but your suggestion is kinda irrational (and very noob... maim? Who uses maim in raids? Feral Charge? what would be the point of announcing that you are charging?)
    Posted in: General AddOns
  • 0

    posted a message on CastYeller - announces to your party/raid important spells you cast.
    Quote from Adirelle »

    Quote from Gahlok »

    I downloaded a new version last night (r47053) and still having the same issue, I guess I'm going back to my old version that didn't have this problem.


    Well, I commited 3 new versions since r47053. Latest is 47203. As HouseWyth gave me some clues about your common trouble, you should give it a try.


    Woot, I just tried it and I got no errors and it seems that the announces are back working ^_^ Danke, you rock <3
    Posted in: General AddOns
  • 0

    posted a message on CastYeller - announces to your party/raid important spells you cast.
    I downloaded a new version last night (r47053) and still having the same issue, I guess I'm going back to my old version that didn't have this problem.
    Posted in: General AddOns
  • 0

    posted a message on CastYeller - announces to your party/raid important spells you cast.
    Quote from Melvalian »

    Use the updater and update your addons WITH externals. That might fix the issue


    I'm on a Mac (so there's no WUA or something like that?). This is what I do.

    I go to

    http://files.wowace.com/

    Search there for "CastYeller", download, take out of AddOns the old copy and put in the new one. Always been doing it like that >_< Keep in mind that I've been using CY for months and it's until recently that I'm having issues :(

    I'll try redownloading it later after tonight's raid and see whats up.
    Posted in: General AddOns
  • 0

    posted a message on CastYeller - announces to your party/raid important spells you cast.
    Quote from Adirelle »

    @Gahlok: could you check the file "logs/FrameXML.log" for errors about CastYeller please ?


    Sure.

    8/21 15:02:27.519 Loading add-on CastYeller
    8/21 15:02:27.519 ** Loading table of contents Interface\AddOns\CastYeller\CastYeller.toc
    8/21 15:02:27.519 ++ Loading file Interface\AddOns\CastYeller\embeds.xml
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\AceLibrary\AceLibrary.lua
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\AceOO-2.0\AceOO-2.0.lua
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\AceAddon-2.0\AceAddon-2.0.lua
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\AceConsole-2.0\AceConsole-2.0.lua
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\AceDB-2.0\AceDB-2.0.lua
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\AceEvent-2.0\AceEvent-2.0.lua
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\AceLocale-2.2\AceLocale-2.2.lua
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\Babble-Spell-2.2\Babble-Spell-2.2.lua
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\SpellEvents-1.0\SpellEvents-1.0.lua
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\Parser-3.0\Parser-3.0.lua
    8/21 15:02:27.519 Error loading Interface\AddOns\CastYeller\libs\FuBarPlugin-2.0\FuBarPlugin-2.0.lua
    Posted in: General AddOns
  • 0

    posted a message on CastYeller - announces to your party/raid important spells you cast.
    Quote from Adirelle »

    @Gahlok: I added one external, that is used by SpellEventLib. After that I don't know what to try. BTW, is CY the only ace addon installed on your computer ?


    Nope, these are the Ace2 addons I use:

    TinyTipOptions
    TinyTipExtras
    TinyTip
    Tankalyze
    sRaidFrames
    SimpleUnitFrames
    simpleMinimap
    SimpleCombatLog
    SimpleChatMods
    SharedMedia
    sctd_options
    sctd
    sct_options
    sct
    RatingBuster
    PitBull
    oRA2
    OmniCC
    Omen
    oCB
    FuBar_TinyTipFu
    FuBar_PerformanceFu
    FuBar_MoneyFu
    FuBar_GuildFu
    FuBar_DurabilityFu
    FuBar_ClockFu
    FuBar_BagFu
    FuBar
    FishingAce
    EavesDrop
    CastYeller
    Cartographer_Herbalism
    Cartographer
    Capping
    FuBar_ExperienceFu
    BigWigs
    Bartender3
    Aloft


    CY is the only one that shows an error.
    Posted in: General AddOns
  • 0

    posted a message on CastYeller - announces to your party/raid important spells you cast.
    Quote from Adirelle »
    So it maybe a XML case-sensitivity related bug. I changed the XML case to match the exact definition in last revision. Could you test it please ?


    Still not working. This is the exact message:

    Interface\AddOns\CastYeller\CastYeller.lua:
    341:SpellEvents-1.0 is required by
    CastYeller


    The other day I checked and the file supposedly is there.
    Posted in: General AddOns
  • 0

    posted a message on CastYeller - announces to your party/raid important spells you cast.
    Quote from Adirelle »

    I tried to fix the case of the embeds.xml file (responsible for loading libraries). I doesn't make any difference with Windows, but maybe does it with other OSes. Which OS are you running ? BTW, are you installing embedded or not-ext version of CY ? (First is the direct link from files.wowace.com, second is generally used by updaters.)


    On my case I use Mac OS X (10.4.9), and I download CastYeller (the zipped file from files.wowace.com), take out the old version from the AddOns folder and move the new one in.
    Posted in: General AddOns
  • 0

    posted a message on CastYeller - announces to your party/raid important spells you cast.
    I've had to be sticking to an old version (r45801) because all the newest ones, whenever I log in an error shows up saying something like SpellLib (or a library called something like that) wasn't present.

    If it's needed I can take a screenshot of the error.
    Posted in: General AddOns
  • To post a comment, please or register a new account.